Update a screening
curl --request PUT \
--url https://api.metal.ai/v1/screenings/{id} \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>' \
--data '
{
"company": "<string>",
"deal": "<string>",
"status": "<string>"
}
'import requests
url = "https://api.metal.ai/v1/screenings/{id}"
payload = {
"company": "<string>",
"deal": "<string>",
"status": "<string>"
}
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-metal-client-id': '<api-key>',
'x-metal-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({company: '<string>', deal: '<string>', status: '<string>'})
};
fetch('https://api.metal.ai/v1/screenings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/screenings/{id}"
payload := strings.NewReader("{\n \"company\": \"<string>\",\n \"deal\": \"<string>\",\n \"status\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"company": "<string>",
"deal": "<string>",
"status": "completed",
"industry": "<string>",
"sector": "<string>",
"subsector": "<string>",
"dataEntities": [
"<string>"
],
"sections": [
{}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid request body"
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Update a screening
Updates an existing screening.
PUT
/
v1
/
screenings
/
{id}
Update a screening
curl --request PUT \
--url https://api.metal.ai/v1/screenings/{id} \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>' \
--data '
{
"company": "<string>",
"deal": "<string>",
"status": "<string>"
}
'import requests
url = "https://api.metal.ai/v1/screenings/{id}"
payload = {
"company": "<string>",
"deal": "<string>",
"status": "<string>"
}
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-metal-client-id': '<api-key>',
'x-metal-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({company: '<string>', deal: '<string>', status: '<string>'})
};
fetch('https://api.metal.ai/v1/screenings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/screenings/{id}"
payload := strings.NewReader("{\n \"company\": \"<string>\",\n \"deal\": \"<string>\",\n \"status\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"company": "<string>",
"deal": "<string>",
"status": "completed",
"industry": "<string>",
"sector": "<string>",
"subsector": "<string>",
"dataEntities": [
"<string>"
],
"sections": [
{}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid request body"
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Authorizations
The Client ID of your API key.
The secret value of your API key.
Path Parameters
The screening id.
Response
Updates an existing screening.
Show child attributes
Show child attributes
Related topics
Update a companyMCP tools referenceBuild and manage listsCreate a screeningDelete a screening⌘I

